Loading...
Searching...
No Matches
FiltrationValue Struct Reference

Value type for a filtration function on a cell complex. More...

`#include <concept/Simplex_tree/FiltrationValue.h>`

## Public Member Functions

bool | operator< (FiltrationValue f1, FiltrationValue f2)
| Operator < is a StrictWeakOrdering.

## Detailed Description

Value type for a filtration function on a cell complex.

A filtration of a cell complex (see FilteredComplex) is a function \(f:\mathbf{K} \rightarrow \mathbb{R}\) satisfying \(f(\tau)\leq f(\sigma)\) whenever \(\tau \subseteq \sigma\). Ordering the simplices by increasing filtration values (breaking ties so as a simplex appears after its subsimplices of same filtration value) provides an indexing scheme (see IndexingTag).

The documentation for this struct was generated from the following file:

- concept/Simplex_tree/FiltrationValue.h